
D4Science Infrastructure - VM Creation #9558

Updated VM for GN3 Migration

Aug 31, 2017 03:59 PM - Fabio Sinibaldi

Status: Closed Start date: Aug 31, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDI-nodes management   

Infrastructure: Development Applications list and

version:

RAM: 3 Applications context

path:

geonetwork

CPU: 2 External storage data

disk:

 

DiskSpace: 15 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: LATEST PostgreSQL

database:

Yes

Application

Instructions:

webapp will be manually installed and

configured. 

Database to be used will be already

created

jdbc:postgis://postgresql-srv-dev.d4scien

ce.org:5432/geonetwork_dev

Number of VMs: 1

Smartgears scopes: /gcube

/gcube/devNext

/gcube/devNext/NextNext

  

Description

In order to migrate development infrastructure to GeoNetwork 3.x we need an updated VM with java 8 and SmartGears. 

History

#1 - Sep 08, 2017 03:27 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- RAM changed from 2 to 3

- DiskSpace changed from 10 to 15

Hostname and IP address: geonetwork-v3.dev.d4science.org 146.48.123.95

#2 - Sep 08, 2017 05:50 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The VM is up and running. You'll find that a geonetwork is installed, I did that way because I avoided a one time changes to many parts of the

playbook.

The https access is enabled but there's no valid certificate yet. It will be issued in the next days.

#4 - Sep 11, 2017 03:46 PM - Fabio Sinibaldi

- Status changed from Feedback to Closed

Everything seems ok. I'm gonna report actions to be translated as ansible scripts here.
